# MFLTOtfSpec Struct Reference
[FLT API]

Type of specification of GSUB and GPOS OpenType tables. More...

## Data Fields

MSymbol | sym
unsigned int * | features [2]
unsigned int | script
unsigned int | langsys

## Detailed Description

Type of specification of GSUB and GPOS OpenType tables.

The type MFLTOtfSpec is the structure that contains information about the GSUB and GPOS features of a specific script and language system to be applied to a glyph sequence.

## Field Documentation

MSymbol MFLTOtfSpec::sym

Unique symbol representing the spec. This is the same as the OTF-SPEC of the FLT.

unsigned int MFLTOtfSpec::script

Tags for script and language system.

unsigned int MFLTOtfSpec::langsys

unsigned int* MFLTOtfSpec::features[2]

Array of GSUB (1st element) and GPOS (2nd element) features. Each array is terminated by 0. If an element is 0xFFFFFFFF apply the previous features in that order, and apply all the other features except those that appear in the following elements. It may be NULL if there are no features.